if(!isFile("Add-Ons/Event_Variables/client.cs"))
{
	error("REQURED ADD-ON: Event_Variables is not found! Will not execute.");
	$VCEManualFix_VCEMissing = 1;
	return;
}

$VCEManualFix_Fetched = 0;
package VCE_ManualFix
{
	function VCEClient_fetchManualCache()
	{
		if(!$VCEManualFix_Fetched)
		{
			if(isFile("Add-Ons/Client_ManualFix/manual.txt"))
			{
				%r = new FileObject();
				%r.openForRead("Add-Ons/Client_ManualFix/manual.txt");
				while(!%r.isEOF())
				{
					%line = %r.readLine();
					%icon = getField(%line,0);
					%icon = getWord(%icon,1);
					%name = getField(%line,1);
					%content = VCEClient_parseIcons(getField(%line,2));
					VCEClient_Manual_ListControl.addRow(VCEClient_Manual_ListControl.rowCount(),"      " @ %name TAB %content);
					%rows = VCEClient_Manual_ListControl.rowCount() - 1;
					if(isFile("./images/icons/"@%icon))
					{
						%bit = new GuiBitmapCtrl()
						{
							position = 0 SPC ((%rows*16)+2)+%rows*4;
							extent = "16 16";
							bitmap = "./images/icons/"@%icon;
						};
						VCEClient_Manual_ListIcons.add(%bit);
					}
				}
				%r.close();
				%r.delete();
				VCEClient_Manual_ListControl.setSelectedRow(0);
				VCEClient_Content.setTab(VCEClient_Manual);
				$VCEManualFix_Fetched = 1;
				return;
			}
		}
	}

	function VCEClient_toggle(%val)
	{
		if(!$VCEManualFix_Fetched)
			VCEClient_fetchManualCache();
		return Parent::VCEClient_toggle(%val);
	}
};
if(!$VCEManualFix_VCEMissing)
	activatepackage(VCE_ManualFix);